* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

[hidden] {
  display: none !important;
}

body {
  min-height: 100vh;
  background-color: #EFEEE7;
  background-image: url("white-crumpled-paper.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

#loading-screen .logo {
  width: 94px;
  height: 94px;
  animation: fade-in 0.5s ease-in forwards;
}

@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.loading-bar {
  transform-box: fill-box;
  transform-origin: left center;
  animation: draw-line 2s linear infinite;
  animation-delay: 0.5s;
  transform: scaleX(0);
}

.loading-dot {
  animation: sweep-dot 2s linear infinite;
  animation-delay: 0.5s;
  transform: translateX(-63.5823px);
}

@keyframes draw-line {
  0% {
    transform: scaleX(0);
    animation-timing-function: ease-out;
  }
  50%, 100% {
    transform: scaleX(1);
  }
}

@keyframes sweep-dot {
  0% {
    transform: translateX(-63.5823px);
    animation-timing-function: ease-out;
  }
  50%, 100% {
    transform: translateX(0);
  }
}
